<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:ns2="http://cdm-fr.fr/2011/CDM-frSchema"
		exclude-result-prefixes="xsl xhtml"
		xmlns="http://www.w3.org/1999/xhtml"
		xmlns:xhtml="http://www.w3.org/1999/xhtml">
  <xsl:output method="xml" indent="yes"
	      doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
	      doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
	      media-type="text/html" encoding="UTF-8"
	      omit-xml-declaration="yes" xml:lang="fr" xml:space="preserve" />
  <xsl:param name="_lang">fr-FR</xsl:param>

  <!-- Trouver le Fichier des constantes -->
  <xsl:variable name="variablesExt"
		select="document('../commun/variablesExt.xml')" />
  <xsl:variable name="langueCDM" select="/CDM/@language" />
  <!-- FICHIERS INCLUDE UTILISEES   -->
  <xsl:include href="composants/commun/commun_fr-FR.xsl" />
  <xsl:include href="composants/commun/xhtml.xsl" />
  <xsl:include href="composants/orgUnit.v01.xsl" />
  <xsl:template match="/">
    <xsl:call-template name="html" />
  </xsl:template>
  <xsl:template name="user-titreFenetre">
    <xsl:value-of select="$variablesExt/variables/pageTitle/header[@type='0']/value[@lang=$_lang]"/>
  </xsl:template>
  <xsl:template name="user-navigation">
    <div id="navigation">
  
	<a href="{$absActionURL}/{$_lang}/accueil">Accueil</a>
	Feuilleter
    
    </div>
  </xsl:template>
  <xsl:template name="user-titre">
    Recherche par navigation
  </xsl:template>
  <xsl:template name="user-ariane">Vous êtes : Recherche</xsl:template>
  <xsl:template name="user-logo">
          <img id="logo" src="{$baseMediaURL}/images/AMU.png" alt="logo AMU"  />
  </xsl:template>
  
  <xsl:template name="user-col_gauche">
    <xsl:if test="count(/CDM/program)=0">
      <p>La recherche n'a fourni aucun résultat!</p>
    </xsl:if>
    <xsl:apply-templates select="/CDM/properties/infoBlock/extension/uniform/constantes/domaineDiplome[@type='domaine']/data" />
  </xsl:template>
  
  <xsl:template name="user-col_droite">
    	<div id="col_bt_dr1">
	<titre-droite><xsl:call-template name="tUser-col_droite">
      		<xsl:with-param name="pNom" select="/CDM/orgUnit[1]/orgUnitName"/>
    	</xsl:call-template></titre-droite>
	<contenu-droite>
	<xsl:call-template name="tUser-col_droite">
      		<xsl:with-param name="pContactData" select="'OK'"/>
      		<xsl:with-param name="pLienLibelle" select="/CDM/orgUnit[1]/ns2:webLink/linkName"/>
      		<xsl:with-param name="pLienURL" select="/CDM/orgUnit[1]/ns2:webLink/href"/>
    	</xsl:call-template>
	</contenu-droite>
	</div>
  </xsl:template>
 
  <xsl:template name="user-col_droitetitre">
    <xsl:call-template name="tUser-col_droite">
      <xsl:with-param name="pNom" select="/CDM/orgUnit[1]/orgUnitName"/>
    </xsl:call-template>
    <!--<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libEnSavoirPlus'"/></xsl:call-template></h3>
    <xsl:call-template name="tLienEnSavoirPlus">
      <xsl:with-param name="pLienURL">
        <xsl:call-template name="tOrgUnitWebLinkHref"/>
      </xsl:with-param>
    </xsl:call-template>-->
  </xsl:template>


  <xsl:template name="user-col_droitecont">
    <xsl:call-template name="tUser-col_droite">
      <xsl:with-param name="pContactData" select="'OK'"/>
      <xsl:with-param name="pLienLibelle" select="/CDM/orgUnit[1]/ns2:webLink/linkName"/>
      <xsl:with-param name="pLienURL" select="/CDM/orgUnit[1]/ns2:webLink/href"/>
    </xsl:call-template>
 </xsl:template>


 
  <xsl:template match="program">
    <li><a href="{$absActionURL}/{$_lang}/fiche/description/{@id}"><xsl:value-of select="ns2:programName/ns2:text[@language=$_lang or not(@language)]"/></a></li>
  </xsl:template>
  
  <xsl:template match="domaineDiplome/data">
    <xsl:variable name="domaine" select="@import"/>
    <xsl:if test="/CDM/program[ns2:habilitation/ns2:field/@primaryDomainName=$domaine]">
      <h2><xsl:value-of select="value"/></h2>
      <ul>
	<xsl:apply-templates select="/CDM/program[ns2:habilitation/ns2:field/@primaryDomainName=$domaine]"/>
      </ul>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
